Bug 1908845 (CVE-2020-35498) - CVE-2020-35498 openvswitch: limitation in the OVS packet parsing in userspace leads to DoS
Summary: CVE-2020-35498 openvswitch: limitation in the OVS packet parsing in userspace...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-35498
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1909056 1909060 1909193 1909194 1910206 1910207 1927493 1927845 1909048 1909049 1909050 1909051 1909052 1909053 1909054 1909059 1909107 1927492 1927591
Blocks: 1903805
TreeView+ depends on / blocked
 
Reported: 2020-12-17 17:48 UTC by Dhananjay Arunesh
Modified: 2021-03-31 12:57 UTC (History)
48 users (show)

Fixed In Version: openvswitch 2.5.12, openvswitch 2.6.10, openvswitch 2.7.13, openvswitch 2.8.11, openvswitch 2.9.9, openvswitch 2.10.7, openvswitch 2.11.6, openvswitch 2.12.3, openvswitch 2.13.3, openvswitch 2.14.2
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in openvswitch. A limitation in the implementation of userspace packet parsing can allow a malicious user to send a specially crafted packet causing the resulting megaflow in the kernel to be too wide, potentially causing a denial of service. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-02-11 16:10:02 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:0497 0 None None None 2021-02-11 14:52:16 UTC
Red Hat Product Errata RHSA-2021:0834 0 None None None 2021-03-15 14:35:10 UTC
Red Hat Product Errata RHSA-2021:0835 0 None None None 2021-03-15 14:35:41 UTC
Red Hat Product Errata RHSA-2021:0837 0 None None None 2021-03-15 14:33:33 UTC

Description Dhananjay Arunesh 2020-12-17 17:48:22 UTC
Due to a limitation in the OVS packet parsing in userspace, the resulting megaflow in the kernel is too wide which can potentially cause a DoS.

Comment 10 Anten Skrabec 2021-02-08 23:29:12 UTC
Acknowledgments:

Name: Joakim Hindersson <joakim.hindersson@elastx.se>

Comment 12 Anten Skrabec 2021-02-10 20:36:48 UTC
Created openvswitch tracking bugs for this issue:

Affects: fedora-all [bug 1927492]
Affects: openstack-rdo [bug 1927493]

Comment 13 Anten Skrabec 2021-02-10 21:01:33 UTC
External References:

https://www.openwall.com/lists/oss-security/2021/02/10/4

Comment 15 Anten Skrabec 2021-02-10 21:25:13 UTC
Statement:

Red Hat OpenStack Platform 13's openvswitch package will receive it's fixes from Fast Datapath.

Comment 17 errata-xmlrpc 2021-02-11 14:52:13 UTC
This issue has been addressed in the following products:

  Fast Datapath for Red Hat Enterprise Linux 8

Via RHSA-2021:0497 https://access.redhat.com/errata/RHSA-2021:0497

Comment 18 Product Security DevOps Team 2021-02-11 16:10:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-35498

Comment 19 errata-xmlrpc 2021-03-15 14:33:26 UTC
This issue has been addressed in the following products:

  Fast Datapath for Red Hat Enterprise Linux 8

Via RHSA-2021:0837 https://access.redhat.com/errata/RHSA-2021:0837

Comment 20 errata-xmlrpc 2021-03-15 14:35:07 UTC
This issue has been addressed in the following products:

  Fast Datapath for Red Hat Enterprise Linux 7

Via RHSA-2021:0834 https://access.redhat.com/errata/RHSA-2021:0834

Comment 21 errata-xmlrpc 2021-03-15 14:35:38 UTC
This issue has been addressed in the following products:

  Fast Datapath for Red Hat Enterprise Linux 7

Via RHSA-2021:0835 https://access.redhat.com/errata/RHSA-2021:0835

Comment 22 errata-xmlrpc 2021-03-31 12:57:00 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2021:1050 https://access.redhat.com/errata/RHSA-2021:1050


Note You need to log in before you can comment on or make changes to this bug.